Search results

Getting started with JavaScript Spinner control

19 Oct 2022 / 1 minute to read

Initialize the Spinner using createSpinner method and show/hide the spinner using showSpinner and hideSpinner methods accordingly. Set the target to the spinner to render it based on specific target.

The following steps explains you on how to create and how to show/hide your Spinner.

  • Import the createSpinner method from ej2-popups library into your file as shown in below.
Copied to clipboard
import { createSpinner } from '@syncfusion/ej2-popups';
  • Show and hide this spinner by using showSpinner and hideSpinner methods for loading in your page and import them in your file as shown in below.
Copied to clipboard
import { showSpinner, hideSpinner } from '@syncfusion/ej2-popups';

Create the Spinner globally

The Spinner can be render globally in a page using public exported functions of the ej2-popups package.

Source
Preview
app.ts
index.html
Copied to clipboard
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-popups';

//createSpinner() method is used to create spinner

 createSpinner({

  // Specify the target for the spinner to show

    target: document.getElementById('container')

});

// showSpinner() will make the spinner visible

 showSpinner(document.getElementById('container'));

setInterval(function(){

  // hideSpinner() method used hide spinner
  hideSpinner(document.getElementById('container'));

}, 100000);
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Spinner</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="TypeScript NumericTextBox Component" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-popups/styles/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='container'>
       
    </div>
</body>
</html>

HelpBot Assistant

How can I help you?

Getting started with React Spinner component

10 Feb 20268 minutes to read

This section explains the steps required to create a simple React Spinner component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

Setup for local development

Easily set up a React application using create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® Spinner packages

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
To install the Spinner component, use the following command

npm install @syncfusion/ej2-react-popups --save

The –save will instruct NPM to include the Spinner package inside of the dependencies section of the package.json.

Adding CSS reference

The following CSS files are available in the ../node_modules/@syncfusion package folder. Add these as references in src/App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-popups/styles/tailwind3.css";

To refer App.css in the application then import it in the src/App.tsx file.

Adding Spinner component

The React Spinner component can be added to the application by following these steps. To get started, add the Spinner component to the src/App.tsx file using the following code.

The following spinner code should be placed in the src/App.tsx file.

import { createSpinner, showSpinner } from '@syncfusion/ej2-popups';
import * as React from 'react';
import { useEffect } from "react";
import './App.css';

function App() {
  useEffect(() => {
    componentDidMount();
  });
  function componentDidMount() {
    //createSpinner() method is used to create spinner
    createSpinner({
      // Specify the target for the spinner to show
      target: document.getElementById('container'),
    });
    // showSpinner() will make the spinner visible
    showSpinner(document.getElementById('container'));
  }
  return (<div className="control-pane">
    <div id="container" className="control-section col-lg-12 spinner-target"></div>
  </div>);
}
export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output appears as follows.

[Class-component]

import { createSpinner, showSpinner } from '@syncfusion/ej2-popups';
import * as React from 'react';
export default class App extends React.Component {
    componentDidMount(prevProps) {
        //createSpinner() method is used to create spinner
        createSpinner({
            // Specify the target for the spinner to show
            target: document.getElementById('container'),
        });
        // showSpinner() will make the spinner visible
        showSpinner(document.getElementById('container'));
    }
    render() {
        return (<div className="control-pane">
        <div id="container" className="control-section col-lg-12 spinner-target"></div>
      </div>);
    }
}
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-popups';
import * as React from 'react';
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
  componentDidMount(prevProps) {
    //createSpinner() method is used to create spinner
    createSpinner({
      // Specify the target for the spinner to show
      target: document.getElementById('container'),
    });
    // showSpinner() will make the spinner visible
    showSpinner(document.getElementById('container'));
  }
  render() {
    return (
      <div className="control-pane">
        <div id="container"
          className="control-section col-lg-12 spinner-target"
        ></div>
      </div>
    );
  }
  }

[Functional-component]

import { createSpinner, showSpinner } from '@syncfusion/ej2-popups';
import * as React from 'react';
import { useEffect } from "react";
function App() {
    useEffect(() => {
        componentDidMount();
    });
    function componentDidMount(prevProps) {
        //createSpinner() method is used to create spinner
        createSpinner({
            // Specify the target for the spinner to show
            target: document.getElementById('container'),
        });
        // showSpinner() will make the spinner visible
        showSpinner(document.getElementById('container'));
    }
    return (<div className="control-pane">
        <div id="container" className="control-section col-lg-12 spinner-target"></div>
      </div>);
}
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-popups';
import * as React from 'react';
import * as ReactDOM from "react-dom";
import { useEffect } from "react";

function App() {
  useEffect(() => {
    //createSpinner() method is used to create spinner
    createSpinner({
      // Specify the target for the spinner to show
      target: document.getElementById('container'),
    });
    // showSpinner() will make the spinner visible
    showSpinner(document.getElementById('container'));
  })
    return (
      <div className="control-pane">
        <div id="container"
          className="control-section col-lg-12 spinner-target"
        ></div>
      </div>
    );
  }
  export default App;

Getting started with the Angular Spinner component

26 Feb 20267 minutes to read

This section explains how to create a simple Spinner and configure its functionality in Angular.

Note: This guide supports Angular 21 and other recent Angular versions. For detailed compatibility with other Angular versions, please refer to the Angular version support matrix. Starting from Angular 19, standalone components are the default, and this guide reflects that architecture.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Syncfusion® Angular components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

Prerequisites

Ensure your development environment meets the System Requirements for Syncfusion Angular UI Components.

SetUp the Angular application

A straightforward approach to beginning with Angular is to create a new application using the Angular CLI. Install Angular CLI globally with the following command:

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Installing a specific version

To install a particular version of Angular CLI, use:

npm install -g @angular/[email protected]

Create a new application

With Angular CLI installed, execute this command to generate a new application:

ng new syncfusion-angular-app
  • This command will prompt you to configure settings like enabling Angular routing and choosing a stylesheet format.
? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]
  • By default, a CSS-based application is created. Use SCSS if required:
ng new syncfusion-angular-app --style=scss
  • During project setup, when prompted for the Server-side rendering (SSR) option, choose the appropriate configuration.

Initial_setup

  • Select the required AI tool or ‘none’ if you do not need any AI tool.

Initial_setup

  • Navigate to your newly created application directory:
cd syncfusion-angular-app

Note: In Angular 19 and below, it uses app.component.ts, app.component.html, app.component.css etc. In Angular 20+, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (no .component. suffixes).

Installing Syncfusion® Spinner package

Syncfusion®’s Angular component packages are available on npmjs.com. To use Syncfusion® Angular components, install the necessary package.

This guide uses the Angular Spinner component for demonstration. Add the Angular Spinner component component with:

ng add @syncfusion/ej2-angular-popups

This command will perform the following configurations:

  • Add the @syncfusion/ej2-angular-popups package and peer dependencies to your package.json.
  • Import the Spinner component component in your application.
  • Register the default Syncfusion® material theme in angular.json.

For more details on version compatibility, refer to the Version Compatibility section.

Syncfusion® offers two package structures for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler (ngcc), which is Angular’s legacy compilation pipeline.
    Syncfusion®’s latest Angular packages are provided as Ivy-compatible and suited for Angular 12 and above. To install the package, execute:
    ng add @syncfusion/ej2-angular-popups

    For applications not compiled with Ivy, use the ngcc tagged packages:

    The ngcc packages are still compatible with Angular CLI versions 15 and below. However, they may generate warnings suggesting the use of IVY compiled packages. Starting from Angular 16, support for the ngcc package has been completely removed. If you have further questions regarding ngcc compatibility, please refer to the following FAQ.

    npm add @syncfusion/[email protected]

Adding CSS reference

Syncfusion® Angular component themes can be added in various ways: via CSS or SCSS styles from npm packages, CDN, CRG, or Theme Studio.

The Material theme is added to your styles.css when you run ng add (this happens automatically by default).

To stylize only specific Syncfusion® components, import the necessary styles. For example, to style only the Spinner component:

@import '../node_modules/@syncfusion/ej2-angular-popups/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';

Ensure that the import order aligns with the component’s dependency sequence.

For using SCSS styles, refer to this guide.

Adding Spinner component

Use the following snippet in the src/app/app.ts file to import the Spinner component.

import { Component, AfterViewInit, ElementRef, ViewChild } from '@angular/core';
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-popups';

@Component({
  standalone: true,
  selector: 'app-root',
  template: `
    <div #spinnerHost
         style="height: 200px; position: relative; border: 1px solid #ddd; overflow: hidden;">
      <p style="padding: 12px;">Loading content...</p>
    </div>
  `
})
export class App implements AfterViewInit {
  @ViewChild('spinnerHost', { static: true }) spinnerHost!: ElementRef<HTMLElement>;

  ngAfterViewInit(): void {
    const target = this.spinnerHost.nativeElement;
    createSpinner({ target });
    setTimeout(() => showSpinner(target));
    setTimeout(() => hideSpinner(target), 10000);
  }
}

Running the application

After completing the configuration required to render a basic Spinner, run the following command to display the output in your default browser.

ng serve

The following example illustrates the output in your browser.

import { FormsModule } from '@angular/forms';
import { Component } from '@angular/core';
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-angular-popups';

@Component({
  imports: [FormsModule,],
  standalone: true,
  selector: 'app-container',
  template: `<div id="container"></div>`
})
export class AppComponent {
  constructor() { }
  ngAfterViewInit() {
    createSpinner({
      // Specify the target for the spinner to show
      target: document.getElementById('container') as any
    });

    // showSpinner() will make the spinner visible
    showSpinner((document as any).getElementById('container'));

    setInterval(function () {
      // hideSpinner() method used hide spinner
      hideSpinner((document as any).getElementById('container'));
    }, 100000);
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

HelpBot Assistant

How can I help you?

Getting Started with the Vue Spinner Component in Vue 2

10 Feb 20264 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Spinner component.

Prerequisites

System requirements for Syncfusion® Vue UI components

Setting up the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add Syncfusion® Vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Spinner component as an example. Install the @syncfusion/ej2-vue-popups package by running the following command:

npm install @syncfusion/ej2-vue-popups --save

or

yarn add @syncfusion/ej2-vue-popups

Import Syncfusion® CSS styles

Syncfusion® components require CSS stylesheets to display correctly. You can import themes in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG, and Theme Studio. Refer to themes topic to learn more about built-in themes and different ways to reference themes in a Vue project.

In this article, the Material3 theme is applied using CSS styles, which are available in installed packages. The necessary Material3 CSS styles for the Spinner component and its dependents were imported into the <style> section of the src/App.vue file.

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
</style>

The order of CSS imports matters. Import base styles first, then component-specific styles. Missing CSS imports can result in misaligned layouts, buttons without styling, or missing visual elements in popups and dialogs.

Add Syncfusion® Vue component

Follow the below steps to add the Vue Spinner component:

1. First, import and register the Spinner component in the script section of the src/App.vue file.

<script setup>
import { onMounted } from 'vue';
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-vue-popups';
</script>
<script>
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-vue-popups';
</script>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
  <div id="app">

  </div>
</template>

<script setup>
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-vue-popups';
import { onMounted } from 'vue';

onMounted(() => {

  //createSpinner() method is used to create spinner
  createSpinner({
    // Specify the target for the spinner to show
    target: document.getElementById('app')
  });

  // showSpinner() will make the spinner visible
  showSpinner(document.getElementById('app'));

  setInterval(function () {
    // hideSpinner() method used hide spinner
    hideSpinner(document.getElementById('app'));
  }, 100000);
});

</script>

<style>
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
</style>
<template>
  <div id="app">

  </div>
</template>

<script>
import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-vue-popups';

export default {
  name: 'app',
  mounted: function () {

    //createSpinner() method is used to create spinner
    createSpinner({
      // Specify the target for the spinner to show
      target: document.getElementById('app')
    });

    // showSpinner() will make the spinner visible
    showSpinner(document.getElementById('app'));

    setInterval(function () {
      // hideSpinner() method used hide spinner
      hideSpinner(document.getElementById('app'));
    }, 100000);
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
</style>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve